! ***************************************************************************
! *   Copyright (C) 2004 by Claudio Attaccalite                             *
! *   claudio@freescience.info                                              *
! *                                                                         *
! *   This program is free software; you can redistribute it and/or modify  *
! *   it under the terms of the GNU General Public License as published by  *
! *   the Free Software Foundation; either version 2 of the License, or     *
! *   (at your option) any later version.                                   *
! *                                                                         *
! *   This program is distributed in the hope that it will be useful,       *
! *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
! *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
! *   GNU General Public License for more details.                          *
! *                                                                         *
! *   You should have received a copy of the GNU General Public License     *
! *   along with this program; if not, write to the                         *
! *   Free Software Foundation, Inc.,                                       *
! *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
! ***************************************************************************


      subroutine mydsincos(n,vector,vsin,vcos)
       real(8) vector(*),vsin(*),vcos(*)
       integer n,i
       do i=1,n
        vsin(i)=dsin(vector(i))
        vcos(i)=dcos(vector(i))
       enddo
      end

      subroutine mydsin(n,vector,vsin)
       real(8) vector(*),vsin(*)
       integer n,i
       do i=1,n
        vsin(i)=dsin(vector(i))
       enddo
      end

      subroutine mydcos(n,vector,vcos)
       real(8) vector(*),vcos(*)
       integer n,i
       do i=1,n
        vcos(i)=dcos(vector(i))
       enddo
      end

      subroutine mydexp(n,vector,vexp)
       real(8) vector(*),vexp(*)
       integer n,i
       do i=1,n
        vexp(i)=dexp(vector(i))
       enddo
      end

      subroutine mydsqrt(n,vector,vsqrt)
       real(8) vector(*),vsqrt(*)
       integer n,i
       do i=1,n
        vsqrt(i)=dsqrt(vector(i))
       enddo
      end

      subroutine mydlog(n,vector,vlog)
       real(8) vector(*),vlog(*)
       integer n,i
       do i=1,n
        vlog(i)=dlog(vector(i))
       enddo
      end

      subroutine mydlog10(n,vector,vdlog10)
       real(8) vector(*),vdlog10(*)
       integer n,i
       do i=1,n
        vdlog10(i)=dlog10(vector(i))
       enddo
      end

      subroutine myderf(n,vector,vderf)
       real(8) vector(*),vderf(*)
       integer n,i
       do i=1,n
        vderf(i)=derf(vector(i))
       enddo
      end
      
      subroutine myderfc(n,vector,vderfc)
       real(8) vector(*),vderfc(*)
       integer n,i
       do i=1,n
        vderfc(i)=derfc(vector(i))
       enddo
      end

      subroutine mydinv(n,vector,vdinv)
       real(8) vector(*),vdinv(*)
       integer n,i
       do i=1,n
        vdinv(i)=1.d0/vector(i)
       enddo
      end
  
