! ***************************************************************************
! *   Copyright (C) 2004 by Claudio Attaccalite                             *
! *   claudio@freescience.info                                              *
! *                                                                         *
! *   This program is free software; you can redistribute it and/or modify  *
! *   it under the terms of the GNU General Public License as published by  *
! *   the Free Software Foundation; either version 2 of the License, or     *
! *   (at your option) any later version.                                   *
! *                                                                         *
! *   This program is distributed in the hope that it will be useful,       *
! *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
! *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
! *   GNU General Public License for more details.                          *
! *                                                                         *
! *   You should have received a copy of the GNU General Public License     *
! *   along with this program; if not, write to the                         *
! *   Free Software Foundation, Inc.,                                       *
! *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
! ***************************************************************************

#ifdef MKL
#define	 my_dsincos vdsincos
#define	 my_dsin    vdsin
#define	 my_dcos    vdcos
#define	 my_dexp    vdexp
#define  my_dlog    vdln
#define  my_dlog10  vdlog10
#define	 my_dsqrt   vdsqrt
#define  my_derf    vderf
#define  my_derfc   vderfc
#define  my_dinv    vdinv
#elif ACML
#define my_dsincos vrda_sincos
#define my_dsin    vrda_sin
#define my_dcos    vrda_cos
#define my_dexp    vrda_exp
#define my_dlog    vrda_log
#define my_dlog10  vrda_log10
#define my_dsqrt   mydsqrt
#define my_derf    myderf
#define my_derfc   myderfc
#define my_dinv    mydinv
#else
#define my_dsincos mydsincos
#define my_dsin    mydsin
#define my_dcos    mydcos
#define my_dexp    mydexp
#define my_dlog    mydlog
#define my_dlog10  mydlog10
#define my_dsqrt   mydsqrt
#define my_derf    myderf
#define my_derfc   myderfc
#define my_dinv    mydinv
#endif
